Go to the latest version of this document.

# ``twisted`.`python`.`components`.`_ProxiedClassMethod``

class documentation

`class _ProxiedClassMethod: (source)`

Constructor: `_ProxiedClassMethod(methodName, originalAttribute)`

View In Hierarchy

A proxied class method.

Method | `__call__` | Invoke the specified `methodName` method of the `original` attribute for proxyForInterface.
Method | `__init__` | Undocumented
Instance Variable | `__name__` | The name of the method being proxied (the same as `methodName`).
Instance Variable | `methodName` | the name of the method which this should invoke when called.
Instance Variable | `originalAttribute` | name of the attribute of the proxy where the original object is stored.

def __call__(self, oself, *args, **kw): (source)

Invoke the specified `methodName` method of the `original` attribute for proxyForInterface.

Parameters
oself | an instance of a `proxyForInterface` object.
*args | Undocumented
**kw | Undocumented

Returns
the result of the underlying method.

def __init__(self, methodName, originalAttribute): (source)

Undocumented

__name__: `str` = (source)

The name of the method being proxied (the same as `methodName`).

methodName: `str` = (source)

the name of the method which this should invoke when called.

originalAttribute: `str` = (source)

name of the attribute of the proxy where the original object is stored.